Subject: Ticket Assigned - Click & Collect
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Fri, 18 Dec 2020 07:20:11 +0000

Hi Mohammad shafeeque,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hello
I try to choose collect an order and it is not working only delivery why is that? And how can I make sure it is available in store I already have an order that will be delivered can u add this item with them?Manhattan Stool walnut

I also cant find an invoice only order number I want to redeem  my points for an order that I didn't  enter my shukran card. 8217919931

Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1766286